%define version 2.18
%define release 2.1AX
%define name  perl-cgilib
%define perllibdir /usr/lib/perl5/site_perl

Name: %{name}
Summary: perl-cgilib Provides perl-cgi.pl library for perl
Version: %{version}
Release: %{release}

Source: %{name}-%{version}.tar.gz
URL: http://cgi-lib.stanford.edu/cgi-lib/
License: GPL
Group: Development/Languages
Buildroot: /var/tmp/%{name}-%{version}-root
Requires: perl
BuildArch: noarch
Prefix: %{perllibdir}
Provides: perl(cgi-lib.pl)
%description
Provides a cgi interface for perl (cgi-lib.pl).
More information can be found at: http://cgi-lib.stanford.edu/cgi-lib/
Installs into %{prefix}

%prep
test -z "%{buildroot}" && exit 1
test "%{buildroot}" != "/" && rm -rf %{buildroot}

%setup -q -n %{name}

%install
install -D cgi-lib.pl %{buildroot}%{prefix}/cgi-lib.pl

%clean
rm -rf %{buildroot}

%files
%attr(-,root,root) %{prefix}/cgi-lib.pl

%changelog
* Tue May 25 2004 Shiro Yamada <shiro@miraclelinux.com> 2.18-2.1AX
- rebuild for Asianux 1.0

* Thu Mar 18 2004 Byron Young <spamiccling@yahoo.com>
- Adjusted perl library install location for recent (Fedora) distributions.
- Overide with prefix for backward compatibility.

* Sun May 23 1999 Gerald Teschl <gerald@esi.ac.at>
- Created

